## git-sh 1.1

=== Makefile ===
SHELL    = /bin/sh
DESTDIR  =
PREFIX   = $(DESTDIR)/usr/local

execdir  = $(PREFIX)/bin
datadir  = $(PREFIX)/share
mandir   = $(datadir)/man

PROGRAM  = git-sh
SOURCES  = git-sh.bash git-completion.bash \
           git-sh-aliases.bash git-sh-config.bash
RONN     = ronn --date=2010-03-30 \
                --organization='Ryan Tomayko'

all: $(PROGRAM)

$(PROGRAM): $(SOURCES)
	rm -f $@
	cat $(SOURCES) > $@+
	bash -n $@+
	mv $@+ $@
	chmod 0755 $@

git-sh.1.roff: git-sh.1.ronn
	$(RONN) $^ > $@

git-sh.1.html: git-sh.1.ronn
	$(RONN) -5 $^ > $@

doc: git-sh.1.roff git-sh.1.html

run: all
	./$(PROGRAM)

install: $(PROGRAM)
	install -d "$(execdir)"
	install -m 0755 $(PROGRAM) "$(execdir)/$(PROGRAM)"
	install -d "$(mandir)/man1"
	install -m 0644 git-sh.1.roff "$(mandir)/man1/git-sh.1"

clean:
	rm -f $(PROGRAM)
	rm -f git-sh.1.html

pages: git-sh.1.html
	cp $^ pages/$^

.PHONY: run install site clean pages

=== debian/changelog ===
git-sh (1.1-1) unstable; urgency=low

  * Initial release (Closes: #590440)

 -- Alex Morega <alex@grep.ro>  Sun, 6 Mar 2011 22:12:40 +0200

=== debian/control ===
Source: git-sh
Maintainer: Alex Morega <alex@grep.ro>
Section: vcs
Priority: optional
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.3.8)
Homepage: http://rtomayko.github.com/git-sh/

Package: git-sh
Architecture: all
Depends: ${misc:Depends}, git
Description: a git shell
 git-sh starts an interactive bash(1) session modified for git-heavy
 workflows.  Typical usage is to change into the directory of a git work
 tree or bare repository and run the git-sh command to start an interactive
 shell session.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# github repository
http://githubredir.debian.net/github/rtomayko/git-sh/ (.*)\.tar\.gz
